PipeWire: module-pulse-tunnel.c File Reference

PipeWire 0.3.34

Data Structures | Macros | Functions
module-pulse-tunnel.c File Reference

## Data Structures
struct | impl

## Macros
#define | NAME "pulse-tunnel"
#define | MODULE_USAGE
#define | RINGBUFFER_SIZE (1u << 22)
#define | RINGBUFFER_MASK (RINGBUFFER_SIZE-1)
#define | DEFAULT_LATENCY_USEC (20 * PA_USEC_PER_MSEC)
#define | MODE_PLAYBACK 0
#define | MODE_CAPTURE 1

## Functions
int | pipewire__module_init (struct pw_impl_module *module, const char *args)

## Macro Definition Documentation

## ◆ DEFAULT_LATENCY_USEC

#define DEFAULT_LATENCY_USEC (20 * PA_USEC_PER_MSEC)

## ◆ MODE_CAPTURE

#define MODE_CAPTURE 1

## ◆ MODE_PLAYBACK

#define MODE_PLAYBACK 0

## ◆ MODULE_USAGE

#define MODULE_USAGE

Value:
"[ remote.name=<remote> ] " \
"[ node.latency=<latency as fraction> ] " \
"[ node.name=<name of the nodes> ] " \
"[ node.description=<description of the nodes> ] " \
"[ node.target=<remote node target name> ] " \
"[ audio.rate=<sample rate> ] " \
"[ audio.channels=<number of channels> ] " \
"[ audio.position=<channel map> ] " \
"pulse.server.address=<address> " \
"[ tunnel.mode=capture|playback " \
"[ stream.props=<properties> ] "

## ◆ NAME

#define NAME "pulse-tunnel"

## ◆ RINGBUFFER_MASK

#define RINGBUFFER_MASK (RINGBUFFER_SIZE-1)

## ◆ RINGBUFFER_SIZE

#define RINGBUFFER_SIZE (1u << 22)

## Function Documentation

## ◆ pipewire__module_init()

int pipewire__module_init | ( | struct pw_impl_module * | module,
|  | const char * | args
| ) |  |

References impl::buffer, impl::context, impl::mode, MODE_CAPTURE, MODE_PLAYBACK, impl::module, props, impl::props, pw_context_get_work_queue(), pw_impl_module_get_context(), PW_KEY_MEDIA_CLASS, PW_KEY_NODE_GROUP, PW_KEY_NODE_VIRTUAL, pw_log_debug, pw_log_error, pw_properties_get(), pw_properties_new(), pw_properties_new_string(), pw_properties_set(), pw_properties_update_string(), impl::ring, RINGBUFFER_SIZE, spa_ringbuffer_init(), spa_streq(), impl::stream_props, and impl::work.